## manila-ui 2.19.0

=== debian/changelog ===
manila-ui (1:2.19.0-0ubuntu2) focal; urgency=medium

  * Build with any django.
  * Cherrypick upstream patch for django compat.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Nov 2019 14:14:43 +0000

manila-ui (1:2.19.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * Bump epoch due to mis-versioning of snapshots during dev cycle.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Oct 2019 11:08:48 +0100

manila-ui (3.0.0~b1~git2019061718.a9c6352-0ubuntu2) eoan; urgency=medium

  * d/control: Ensure python3-django is << 2:2.2.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 12:41:32 -0400

manila-ui (3.0.0~b1~git2019061718.a9c6352-0ubuntu1) eoan; urgency=medium

  * New upstream release 3.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 19 Jun 2019 11:17:05 +0100

manila-ui (2.18.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Add new BD's for selenium and xvfbwrapper.
  * d/control: Add firefox to BD's for selenium testing.
  * d/rules: Skip integration tests due to lack of packaging of selenium
    geckodriver webdriver.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 11:51:23 +0100

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 firefox,
 openstack-dashboard (>= 3:14.0.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-django,
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-manilaclient (>= 1.16.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.utils (>= 3.33.0),
 python3-reno (>= 2.5.0),
 python3-selenium (>= 2.50.1),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
Homepage: https://github.com/hp-storage/manila-ui
Testsuite: autopkgtest-pkg-python

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0),
 python3-babel (>= 2.3.4),
 python3-django,
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0~),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-manilaclient (>= 1.16.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 Manila OpenStack dashboard plugin.

## manila-ui 2.19.1

=== debian/changelog ===
manila-ui (2.19.1-1) unstable; urgency=medium

  * New upstream version
  * d/patches: Add fix-django-2.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 22 Oct 2019 13:54:01 +0200

manila-ui (2.18.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 22 Aug 2019 13:03:24 +0200

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:15.0.0~rc1),
 python3-babel,
 python3-coverage,
 python3-ddt,
 python3-django,
 python3-django-compressor,
 python3-django-horizon,
 python3-django-nose,
 python3-hacking,
 python3-iso8601,
 python3-keystoneclient,
 python3-manilaclient,
 python3-mock,
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme,
 python3-oslo.utils,
 python3-selenium,
 python3-six,
 python3-testscenarios,
 python3-testtools,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/manila-ui
Vcs-Git: https://salsa.debian.org/openstack-team/services/manila-ui.git
Homepage: https://github.com/hp-storage/manila-ui

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:15.0.0~rc1),
 python3-babel,
 python3-django,
 python3-django-compressor,
 python3-iso8601,
 python3-keystoneclient,
 python3-manilaclient,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-manila-ui,
Description: OpenStack shared file system as a service - Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d

	# Copy config enabled to openstack-dashboard enabled location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/manila_ui/local/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Copy local_settings.d to openstack-dashboard local_settings.d location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/manila_ui/local/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for i in $(PYTHON3S) ; do \
		PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=manila_ui.tests.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test manila_ui -v 2 --settings=manila_ui.tests.settings --exclude-tag integration; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## manila-ui 2.19.2~git2020021314.30a59be

=== debian/changelog ===
manila-ui (1:2.19.2~git2020021314.30a59be-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/83a0e432fe475a263c2f5e5337511db96263c3b8.patch: Dropped. Fixed
    in upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 14:58:15 -0500

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 firefox,
 openstack-dashboard (>= 3:18.0.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:18.0.0),
 python3-django-nose (>= 1.4.4),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-manilaclient (>= 1.29.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslotest (>= 1:3.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-reno (>= 2.5.0),
 python3-selenium (>= 2.50.1),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
Homepage: https://github.com/hp-storage/manila-ui
Testsuite: autopkgtest-pkg-python

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:18.0.0),
 python3-babel (>= 2.3.4),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:18.0.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-manilaclient (>= 1.29.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 Manila OpenStack dashboard plugin.

## manila-ui 2.19.2~git2020032617.e1bcac2

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
mock>=2.0.0 # BSD
os-api-ref>=1.4.0 # Apache-2.0
ddt>=1.0.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
manila-ui (1:2.19.2~git2020032617.e1bcac2-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 17:06:34 -0400

## manila-ui 2.19.2~git2020041511.a2dcb0e

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
# Horizon Core Requirements
Babel!=2.4.0,>=2.3.4 # BSD
django-compressor>=2.0 # MIT
iso8601>=0.1.11 # MIT
oslo.utils>=3.33.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-manilaclient>=1.29.0 # Apache-2.0

horizon>=17.1.0  # Apache-2.0

=== debian/changelog ===
manila-ui (1:2.19.2~git2020041511.a2dcb0e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Apr 2020 11:34:09 -0400

manila-ui (1:2.19.2~git2020041315.301fc4e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop remaining py2 dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Apr 2020 15:49:45 -0400

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,6 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -41,6 +38,7 @@
  python3-os-api-ref (>= 1.4.0),
  python3-oslotest (>= 1:3.2.0),
  python3-oslo.utils (>= 3.33.0),
+ python3-pytest,
  python3-reno (>= 2.5.0),
  python3-selenium (>= 2.50.1),
  python3-six (>= 1.10.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#bash run_tests.sh -N --no-pep8
	set -e ; for i in $(PYTHON3S) ; do \
		PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/python3-manila-ui NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=manila_ui.tests.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test manila_ui.tests.api manila_ui.tests.dashboards -v 2 --settings=manila_ui.tests.settings ; \
	done
endif

	mkdir -p $(CURDIR)/debian/python3-manila-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_9* $(CURDIR)/debian/python3-manila-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_8* $(CURDIR)/debian/python3-manila-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled

	dh_install
	dh_missing --fail-missing

## manila-ui 3.0.0~b1~git2019061718.a9c6352

=== requirements.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 iso8601>=0.1.11 # MIT
 oslo.utils>=3.33.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
-python-manilaclient>=1.29.0 # Apache-2.0
+python-manilaclient>=1.16.0 # Apache-2.0
+six>=1.10.0 # MIT
 
-horizon>=17.1.0  # Apache-2.0
+horizon>=14.0.0.0b3 # Apache-2.0

=== debian/control ===
--- 
+++ 
@@ -9,25 +9,27 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
+ python-all,
+ python-pbr (>= 2.0.0),
+ python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  firefox,
- openstack-dashboard (>= 3:18.0.0),
+ openstack-dashboard (>= 3:14.0.0),
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
- python3-django (>= 2:2.2),
+ python3-django (>= 1.11),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:18.0.0),
+ python3-django-horizon (>= 3:14.0.0~),
  python3-django-nose (>= 1.4.4),
- python3-fixtures (>= 3.0.0),
  python3-hacking (>= 1.1.0),
  python3-iso8601 (>= 0.1.11),
  python3-keystoneclient (>= 1:3.8.0),
- python3-manilaclient (>= 1.29.0),
+ python3-manilaclient (>= 1.16.0),
  python3-mock (>= 2.0.0),
  python3-mox3 (>= 0.20.0),
  python3-nose,
@@ -35,10 +37,7 @@
  python3-nosehtmloutput,
  python3-openstack.nose-plugin,
  python3-openstackdocstheme (>= 1.18.1),
- python3-os-api-ref (>= 1.4.0),
- python3-oslotest (>= 1:3.2.0),
  python3-oslo.utils (>= 3.33.0),
- python3-pytest,
  python3-reno (>= 2.5.0),
  python3-selenium (>= 2.50.1),
  python3-six (>= 1.10.0),
@@ -58,14 +57,14 @@
 Package: python3-manila-ui
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:18.0.0),
+ openstack-dashboard (>= 3:14.0.0),
  python3-babel (>= 2.3.4),
- python3-django (>= 2:2.2),
+ python3-django (>= 1.11),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:18.0.0),
+ python3-django-horizon (>= 3:14.0.0~),
  python3-iso8601 (>= 0.1.11),
  python3-keystoneclient (>= 1:3.8.0),
- python3-manilaclient (>= 1.29.0),
+ python3-manilaclient (>= 1.16.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-six (>= 1.10.0),

## manila-ui 3.0.0~b2~git2019073018.3f4d771

=== debian/changelog ===
manila-ui (3.0.0~b2~git2019073018.3f4d771-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Fixed python3-django version.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:34:36 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
- python3-django (>= 1.11),
+ python3-django (>= 1:1.11),
  python3-django-compressor (>= 2.0),
  python3-django-horizon (>= 3:14.0.0~),
  python3-django-nose (>= 1.4.4),
@@ -59,7 +59,7 @@
 Depends:
  openstack-dashboard (>= 3:14.0.0),
  python3-babel (>= 2.3.4),
- python3-django (>= 1.11),
+ python3-django (>= 1:1.11),
  python3-django-compressor (>= 2.0),
  python3-django-horizon (>= 3:14.0.0~),
  python3-iso8601 (>= 0.1.11),

## manila-ui 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,12 +4,10 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 # Horizon Core Requirements
-Babel!=2.4.0,>=2.3.4 # BSD
 django-compressor>=2.0 # MIT
 iso8601>=0.1.11 # MIT
 oslo.utils>=3.33.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
-python-manilaclient>=1.16.0 # Apache-2.0
-six>=1.10.0 # MIT
+python-manilaclient>=1.29.0 # Apache-2.0
 
-horizon>=14.0.0.0b3 # Apache-2.0
+horizon>=17.1.0  # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.0.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0  # BSD
ddt>=1.0.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
manila-ui (1:3.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 May 2020 16:29:45 -0400

## manila-ui 3.1.0~git2020070216.62031d8

=== debian/changelog ===
manila-ui (1:3.1.0~git2020070216.62031d8-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 16:06:56 -0400

=== debian/control ===
--- 
+++ 
@@ -6,39 +6,39 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  firefox,
- openstack-dashboard (>= 3:14.0.0),
+ openstack-dashboard (>= 3:18.0.0),
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
- python3-django (>= 1:1.11),
+ python3-django (>= 2:2.2),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:14.0.0~),
+ python3-django-horizon (>= 3:18.0.0),
  python3-django-nose (>= 1.4.4),
+ python3-fixtures (>= 3.0.0),
  python3-hacking (>= 1.1.0),
  python3-iso8601 (>= 0.1.11),
- python3-keystoneclient (>= 1:3.8.0),
- python3-manilaclient (>= 1.16.0),
+ python3-keystoneclient (>= 1:3.22.0),
+ python3-manilaclient (>= 1.29.0),
  python3-mock (>= 2.0.0),
  python3-mox3 (>= 0.20.0),
  python3-nose,
  python3-nose-exclude,
  python3-nosehtmloutput,
  python3-openstack.nose-plugin,
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-os-api-ref (>= 1.4.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-oslo.utils (>= 3.33.0),
- python3-reno (>= 2.5.0),
+ python3-pytest,
  python3-selenium (>= 2.50.1),
  python3-six (>= 1.10.0),
  python3-subunit (>= 1.0.0),
@@ -48,7 +48,7 @@
  python3-xvfbwrapper (>= 0.1.3),
  subunit,
  testrepository,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
 Homepage: https://github.com/hp-storage/manila-ui
@@ -57,14 +57,14 @@
 Package: python3-manila-ui
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0),
+ openstack-dashboard (>= 3:18.0.0),
  python3-babel (>= 2.3.4),
- python3-django (>= 1:1.11),
+ python3-django (>= 2:2.2),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:14.0.0~),
+ python3-django-horizon (>= 3:18.0.0),
  python3-iso8601 (>= 0.1.11),
- python3-keystoneclient (>= 1:3.8.0),
- python3-manilaclient (>= 1.16.0),
+ python3-keystoneclient (>= 1:3.22.0),
+ python3-manilaclient (>= 1.29.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-six (>= 1.10.0),

## manila-ui 3.1.0~git2020073017.13695f3

=== debian/changelog ===
manila-ui (1:3.1.0~git2020073017.13695f3-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control, d/copyright: Update upstream URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 17:12:06 -0400

## manila-ui 3.1.0~git2020091515.6beb9a9

=== debian/changelog ===
manila-ui (1:3.1.0~git2020091515.6beb9a9-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 15:08:22 -0400

=== debian/control ===
--- 
+++ 
@@ -51,7 +51,7 @@
 Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
-Homepage: https://github.com/hp-storage/manila-ui
+Homepage: https://opendev.org/openstack/manila-ui
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-manila-ui

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,14 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=manila_ui
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean -O--buildsystem=pybuild
 	rm -rf .coverage*
 
 override_dh_auto_clean:

## manila-ui 4.0.0~rc1

=== debian/changelog ===
manila-ui (1:4.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 4.x series and get tarballs from opendev.org.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 12:25:34 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/manila-ui/ manila-ui-(4\.\d.*)\.tar\.gz

## manila-ui 4.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 django-compressor>=2.0 # MIT
 iso8601>=0.1.11 # MIT
 oslo.utils>=3.33.0 # Apache-2.0
-python-keystoneclient>=3.8.0 # Apache-2.0
+python-keystoneclient>=3.22.0 # Apache-2.0
 python-manilaclient>=1.29.0 # Apache-2.0
 
 horizon>=17.1.0  # Apache-2.0

=== debian/changelog ===
manila-ui (4.0.0-2) unstable; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jul 2021 11:46:49 +0200

manila-ui (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:46:16 +0200

manila-ui (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 22:12:21 +0200

manila-ui (3.0.0-5) unstable; urgency=medium

  * d/control: Reverting changes

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 04 Jun 2020 12:22:50 +0200

manila-ui (3.0.0-4) unstable; urgency=medium

  * d/control: Add Pre-depends to openstack-dashboard

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 03 Jun 2020 17:12:58 +0200

manila-ui (3.0.0-3) unstable; urgency=medium

  * Move the package to the horizon-plugins salsa subgroup.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 22:43:59 +0200

manila-ui (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed debian/patches/fix-django-2.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Apr 2020 14:27:36 +0200

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:17.1.0),
 python3-coverage,
 python3-ddt,
 python3-django,
 python3-django-compressor,
 python3-django-horizon (>= 3:17.1.0),
 python3-django-nose,
 python3-hacking,
 python3-iso8601,
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 1.29.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme,
 python3-oslo.utils,
 python3-pytest,
 python3-selenium,
 python3-testscenarios,
 python3-testtools,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/manila-ui
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/manila-ui.git
Homepage: https://github.com/hp-storage/manila-ui

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:17.1.0),
 python3-django,
 python3-django-compressor,
 python3-iso8601,
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 1.29.0),
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:18.6.2-4~),
Conflicts:
 python-manila-ui,
Description: OpenStack shared file system as a service - Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila OpenStack dashboard plugin.

## manila-ui 4.0.0+git2020121115.3b8d685

=== debian/changelog ===
manila-ui (1:4.0.0+git2020121115.3b8d685-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/rules: Assign PBR version explicitly.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Dec 2020 15:51:15 +0000

manila-ui (1:4.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:18:11 -0400

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 firefox,
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:18.6.0~),
 python3-django-nose (>= 1.4.4),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 1.29.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslotest (>= 1:3.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pytest,
 python3-selenium (>= 2.50.1),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila-ui
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila-ui
Homepage: https://opendev.org/openstack/manila-ui
Testsuite: autopkgtest-pkg-python

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 2.3.4),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:18.6.0~),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 1.29.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 Manila OpenStack dashboard plugin.

## manila-ui 4.0.0+git2021012814.777bfd9

=== debian/changelog ===
manila-ui (1:4.0.0+git2021012814.777bfd9-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:22:06 -0500

=== debian/control ===
--- 
+++ 
@@ -10,23 +10,23 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 5.5.0),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  firefox,
  openstack-dashboard (>= 4:18.6.0~),
  python3-babel (>= 2.3.4),
- python3-coverage (>= 4.0),
- python3-ddt (>= 1.0.1),
+ python3-coverage,
+ python3-ddt (>= 1.4.1),
  python3-django (>= 2:2.2),
  python3-django-compressor (>= 2.0),
  python3-django-horizon (>= 4:18.6.0~),
  python3-django-nose (>= 1.4.4),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 1.1.0),
- python3-iso8601 (>= 0.1.11),
- python3-keystoneclient (>= 1:3.22.0),
+ python3-hacking,
+ python3-iso8601 (>= 0.1.12),
+ python3-keystoneclient (>= 1:4.1.1),
  python3-manilaclient (>= 1.29.0),
  python3-mock (>= 2.0.0),
  python3-mox3 (>= 0.20.0),
@@ -37,14 +37,14 @@
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.4.0),
  python3-oslotest (>= 1:3.2.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.utils (>= 4.7.0),
  python3-pytest,
  python3-selenium (>= 2.50.1),
  python3-six (>= 1.10.0),
- python3-subunit (>= 1.0.0),
- python3-testrepository (>= 0.0.18),
+ python3-subunit (>= 1.4.0),
+ python3-testrepository (>= 0.0.20),
  python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
+ python3-testtools (>= 2.4.0),
  python3-xvfbwrapper (>= 0.1.3),
  subunit,
  testrepository,
@@ -62,11 +62,11 @@
  python3-django (>= 2:2.2),
  python3-django-compressor (>= 2.0),
  python3-django-horizon (>= 4:18.6.0~),
- python3-iso8601 (>= 0.1.11),
- python3-keystoneclient (>= 1:3.22.0),
+ python3-iso8601 (>= 0.1.12),
+ python3-keystoneclient (>= 1:4.1.1),
  python3-manilaclient (>= 1.29.0),
- python3-oslo.utils (>= 3.33.0),
- python3-pbr (>= 2.0.0),
+ python3-oslo.utils (>= 4.7.0),
+ python3-pbr (>= 5.5.0),
  python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},

## manila-ui 5.0.0

=== debian/changelog ===
manila-ui (1:5.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 14:50:29 +0000

manila-ui (1:5.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 5.x series.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 11:00:56 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/manila-ui/ manila-ui-(5\.\d.*)\.tar\.gz

## manila-ui 5.0.0+git2021062816.c20037c

=== debian/changelog ===
manila-ui (1:5.0.0+git2021062816.c20037c-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 16:00:53 -0400

## manila-ui 5.0.0+git2021091315.299e102

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.5.0 # Apache-2.0
# Horizon Core Requirements
django-compressor>=2.0 # MIT
iso8601>=0.1.12 # MIT
oslo.utils>=4.7.0 # Apache-2.0
python-keystoneclient>=4.1.1 # Apache-2.0
python-manilaclient>=1.29.0 # Apache-2.0

horizon>=17.1.0  # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
ddt>=1.0.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

## manila-ui 5.1.0

=== debian/changelog ===
manila-ui (5.1.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:06:04 +0000

manila-ui (5.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:17:21 +0200

manila-ui (5.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 11:46:28 +0200

manila-ui (5.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:29:35 +0200

manila-ui (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 14:17:46 +0200

manila-ui (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 18:28:02 +0100

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard,
 python3-coverage,
 python3-ddt,
 python3-django,
 python3-django-compressor,
 python3-django-horizon,
 python3-django-nose,
 python3-hacking,
 python3-iso8601,
 python3-keystoneclient,
 python3-manilaclient,
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme,
 python3-oslo.utils (>= 4.7.0),
 python3-pytest,
 python3-selenium,
 python3-testscenarios,
 python3-testtools,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/manila-ui
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/manila-ui.git
Homepage: https://github.com/hp-storage/manila-ui

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard,
 python3-django,
 python3-django-compressor,
 python3-iso8601,
 python3-keystoneclient,
 python3-manilaclient,
 python3-oslo.utils (>= 4.7.0),
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Conflicts:
 python-manila-ui,
Description: OpenStack shared file system as a service - Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila OpenStack dashboard plugin.

## manila-ui 6.0.0

=== debian/changelog ===
manila-ui (1:6.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 20:01:30 +0000

manila-ui (1:6.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 6.x series.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 12:36:58 +0000

manila-ui (1:5.0.0+git2021091315.299e102-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Sep 2021 15:32:38 -0400

## manila-ui 6.0.0+git2021120912.27ce226

=== debian/changelog ===
manila-ui (1:6.0.0+git2021120912.27ce226-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 12:25:49 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/manila-ui/ manila-ui-(6\.\d.*)\.tar\.gz

## manila-ui 6.0.0+git2022030313.97ca7f0

=== debian/changelog ===
manila-ui (1:6.0.0+git2022030313.97ca7f0-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:22:12 -0500

## manila-ui 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -8,6 +8,6 @@
 iso8601>=0.1.12 # MIT
 oslo.utils>=4.7.0 # Apache-2.0
 python-keystoneclient>=4.1.1 # Apache-2.0
-python-manilaclient>=1.29.0 # Apache-2.0
+python-manilaclient>=2.7.0 # Apache-2.0
 
-horizon>=17.1.0  # Apache-2.0
+horizon>=18.3.1  # Apache-2.0

=== debian/changelog ===
manila-ui (1:7.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 09:57:05 -0400

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 firefox,
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 2.3.4),
 python3-coverage,
 python3-ddt (>= 1.4.1),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:18.6.0~),
 python3-django-nose (>= 1.4.4),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-iso8601 (>= 0.1.12),
 python3-keystoneclient (>= 1:4.1.1),
 python3-manilaclient (>= 2.7.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslotest (>= 1:3.2.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pytest,
 python3-selenium (>= 2.50.1),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.4.0),
 python3-testrepository (>= 0.0.20),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila-ui
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila-ui
Homepage: https://opendev.org/openstack/manila-ui
Testsuite: autopkgtest-pkg-python

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 2.3.4),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:18.6.0~),
 python3-iso8601 (>= 0.1.12),
 python3-keystoneclient (>= 1:4.1.1),
 python3-manilaclient (>= 2.7.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pbr (>= 5.5.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 Manila OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/manila-ui/ manila-ui-(7\.\d.*)\.tar\.gz

## manila-ui 7.0.0+git2022060213.6829450

=== debian/changelog ===
manila-ui (1:7.0.0+git2022060213.6829450-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 13:31:43 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -48,8 +48,7 @@
  python3-xvfbwrapper (>= 0.1.3),
  subunit,
  testrepository,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila-ui
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila-ui
 Homepage: https://opendev.org/openstack/manila-ui
 Testsuite: autopkgtest-pkg-python

## manila-ui 7.0.0+git2022071816.eeaae9b

=== debian/changelog ===
manila-ui (1:7.0.0+git2022071816.eeaae9b-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/control: Ensure min version of openstack-dashboard has ALLOWED_HOSTS in
    list format for django 4.x.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 16:16:23 -0400
